#ifdef _WIN32
	#pragma warning(disable:4996)
	#include <tchar.h>
	#include <conio.h>
#elif (defined __linux__) || (defined _AIX) || (defined __APPLE__)
	typedef char _TCHAR;
	#define _tmain main
#endif

#include <stdio.h>
#include <string.h>
#include <iostream>
using namespace std;

#include "Veta.h"
//---------------------------------------------------------------------------
VetaClass::VetaClass()
{
	for (unsigned i = 0; i < 150; i++) {
		strcpy(Slova[i].InterpunkciaPredSlovom, "");
		Slova[i].Slovo = new char[40];
		strcpy(Slova[i].Slovo, "");
		strcpy(Slova[i].InterpunkciaPoSlove, "");
	}
}

VetaClass::~VetaClass()
{
	for(unsigned i=0;i<150;i++)
		delete[] Slova[i].Slovo;
}

istream& operator>>(istream& is, VetaClass* x)
{
	unsigned nove_slovo, cislo_slova;
	char c;

	//Vyhadzujeme medery medzi slovami a triedime vetu do slov.
	nove_slovo = 0;
	cislo_slova = 0;
	do {
		is.get(c);
		if (isspace(c)) {
			cislo_slova++;
			nove_slovo = 1;
			do {
				is.get(c);
			} while ((!isalnum(c)) && (!ispunct(c)));
		}
		if ((ispunct(c)) && (c != '-')) {
			if (nove_slovo)
				strncat(x->Slova[cislo_slova].InterpunkciaPredSlovom, &c, 1);
			else
				strncat(x->Slova[cislo_slova].InterpunkciaPoSlove, &c, 1);
			nove_slovo = 0;
		}
		if ((isalnum(c)) || (c == '-')) {
			strncat(x->Slova[cislo_slova].Slovo, &c, 1);
			nove_slovo = 0;
		}
	} while ((c != '.') && (c != '!') && (c != '?'));
	x->PocetSlov = ++cislo_slova;
	return is;
}

ostream& operator<<(ostream& os, VetaClass* x)
{
	for (unsigned i = 0; i < x->PocetSlov; i++) {
		os << x->Slova[i].InterpunkciaPredSlovom;
		os << x->Slova[i].Slovo;
		os << x->Slova[i].InterpunkciaPoSlove;
		os << " ";
	}
	return os;
}

char* VetaClass::DajSlovo(unsigned cislo_slova)
{
	return this->Slova[cislo_slova].Slovo;
}